Package org.apache.sysds.runtime.compress.lib

## Class CLALibBinCompress

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibBinCompress

    public class CLALibBinCompress
    extends Object

### Field Summary

Fields
`static ColumnEncoderBin.BinMethod` `binMethod`

### Constructor Summary

Constructors
`CLALibBinCompress()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,​FrameBlock>` `binCompress​(CacheBlock<?> X, MatrixBlock d, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### binMethod

    public static ColumnEncoderBin.BinMethod binMethod

### Constructor Detail

#### CLALibBinCompress

    public CLALibBinCompress()

### Method Detail

#### binCompress

    public static org.apache.commons.lang3.tuple.Pair<MatrixBlock,​FrameBlock> binCompress​(CacheBlock<?> X,
                                                                                                MatrixBlock d,
                                                                                                int k)